ziphead.h File Reference

Header file containing classes and functions for reading the central directory and local header fields in a zip archive. More...

`#include "zipios++/zipios-config.h"`
`#include "zipios++/meta-iostreams.h"`
`#include <string>`
`#include <vector>`
`#include "zipios++/fileentry.h"`
`#include "zipios++/zipios_defs.h"`
Include dependency graph for ziphead.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | zipios::ZipLocalEntry
| A concrete implementation of the abstract FileEntry base class for ZipFile entries, specifically for representing the information present in the local headers of file entries in a zip file. More...
struct | zipios::DataDescriptor
| A struct containing fields for the entries in a zip file data descriptor, that trails the compressed data in files that were created by streaming, ie where the zip compressor cannot seek back to the local header and store the data. More...
class | zipios::ZipCDirEntry
| Specialization of ZipLocalEntry, that add fields for storing the extra information, that is only present in the entries in the zip central directory and not in the local entry headers. More...
class | zipios::EndOfCentralDirectory
| The end of the Central directory structure. More...

## Functions

bool | zipios::operator== (const ZipLocalEntry &zlh, const ZipCDirEntry &ze)
bool | zipios::operator== (const ZipCDirEntry &ze, const ZipLocalEntry &zlh)
bool | zipios::operator!= (const ZipLocalEntry &zlh, const ZipCDirEntry &ze)
bool | zipios::operator!= (const ZipCDirEntry &ze, const ZipLocalEntry &zlh)

## Detailed Description

Header file containing classes and functions for reading the central directory and local header fields in a zip archive.

Definition in file ziphead.h.

## Function Documentation

## operator!=() [1/2]

bool zipios::operator!= | ( | const ZipCDirEntry & | ze,
|  | const ZipLocalEntry & | zlh )

inline

Definition at line 208 of file ziphead.h.

## operator!=() [2/2]

bool zipios::operator!= | ( | const ZipLocalEntry & | zlh,
|  | const ZipCDirEntry & | ze )

inline

Definition at line 205 of file ziphead.h.

## operator==() [1/2]

bool zipios::operator== | ( | const ZipCDirEntry & | ze,
|  | const ZipLocalEntry & | zlh )

inline

Definition at line 202 of file ziphead.h.

## operator==() [2/2]

bool zipios::operator== | ( | const ZipLocalEntry & | zlh,
|  | const ZipCDirEntry & | ze )

Definition at line 20 of file ziphead.cpp.